package org.hso.texturesyncclient.app

import javafx.scene.image.Image
import javafx.stage.Stage
import org.hso.texturesyncclient.view.startupView.StartupView
import org.hso.texturesyncclient.view.startupView.StartupViewController
import tornadofx.App

class Main: App(StartupView::class){

    //start first controller
    private val svc = StartupViewController()

    override fun start(stage: Stage) {

        stage.minWidth = 1000.00
        stage.minHeight = 500.00
        stage.isResizable = false
        stage.icons.add(Image("icons/TextureSync_Icon_256x256.jpeg"))
        stage.setOnCloseRequest { System.exit(0) }

        super.start(stage)
        stage.scene.stylesheets.add("/css/Styles.css") // this call must be after the super call
    }

}